﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        .table
        {
            border: 1px solid #ccc;
            border-collapse: collapse;
            background-color: #fff;
            width:190px;
        }
        .table th
        {
            background-color: #B8DBFD;
            color: #333;
            font-weight: bold;
        }
        .table td:first-child
        {
            font-weight:bold;
        }
        .table th, .table td
        {
            padding: 5px;
            border: 1px solid #ccc;
        }
        .table, .table table td
        {
            border: 0px solid #ccc;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:CheckBox ID = "chkHeader" runat="server" Text = "Select All" />
    <hr />
    <asp:DataList ID="dlCustomers" runat="server" RepeatColumns="2" CellPadding = "5">
        <ItemTemplate>
            <table class = "table" border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <th colspan = "3" align = "left">
                        <asp:CheckBox ID="chkRow" runat="server" Font-Bold = "true" Text = '<%# Eval("Name")%>' />
                    </th>
                </tr>
                <tr>
                    <td>Customer Id</td>
                    <td><%#Eval("Id")%></td>
                </tr>
                    <tr>
                    <td>Country</td>
                    <td><%#Eval("Country")%> </td>
                </tr>
            </table>
        </ItemTemplate>
    </asp:DataList>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
    <script type="text/javascript">
        $(function () {
            $("[id*=chkHeader]").click(function () {
                if ($(this).is(":checked")) {
                    $("[id*=dlCustomers] [id*=chkRow]").attr("checked", "checked");
                } else {
                    $("[id*=dlCustomers] [id*=chkRow]").removeAttr("checked");
                }
            });
            $("[id*=dlCustomers] [id*=chkRow]").click(function () {
                if ($("[id*=dlCustomers] [id*=chkRow]").length == $("[id*=dlCustomers] [id*=chkRow]:checked").length) {
                    $("[id*=chkHeader]").attr("checked", "checked");
                } else {
                    $("[id*=chkHeader]").removeAttr("checked");
                }
            });
        });
    </script>
    </form>
</body>
</html>
